public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: exit from irrelevant tests quickly
Date: Fri, 11 Sep 2026 13:19:00 GMT	[thread overview]
Message-ID: <178913274082.1.12117222352126355152.tests-selinux-64ddb60efd30@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 64ddb60efd3092fd0ad3de16aabef8b3de5f9ec2
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2021-04-23T19:21:34+02:00
            Stats  : +23/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/64ddb60efd3092fd0ad3de16aabef8b3de5f9ec2?branch=pr775-checkpolicy-revdeps

            Log:
            exit from irrelevant tests quickly

Some tests are not relevant for certain versions of RHEL.
Their execution leads to failures there. After this change,
they will exit quickly and print a short message explaining why.

---
diff --git a/selinux-policy/ladvd/runtest.sh b/selinux-policy/ladvd/runtest.sh
index d4945c4..c213597 100755
--- a/selinux-policy/ladvd/runtest.sh
+++ b/selinux-policy/ladvd/runtest.sh
@@ -33,6 +33,11 @@
 PACKAGE="selinux-policy"
 
 rlJournalStart
+    if rlIsRHEL ; then
+        rlLog "Not applicable to this OS version."
+        rlJournalEnd
+        exit 0
+    fi
     rlPhaseStartSetup
         rlRun "rlImport 'selinux-policy/common'"
         rlSESatisfyRequires

diff --git a/selinux-policy/rpmdb-and-similar/runtest.sh b/selinux-policy/rpmdb-and-similar/runtest.sh
index b4187f8..af6e687 100755
--- a/selinux-policy/rpmdb-and-similar/runtest.sh
+++ b/selinux-policy/rpmdb-and-similar/runtest.sh
@@ -38,6 +38,12 @@ PROCESS_NAME="rpmdb"
 PROCESS_CONTEXT="rpmdb_t"
 
 rlJournalStart
+    if rlIsRHEL '<9' ; then
+        rlLog "Not applicable to this OS version."
+        rlJournalEnd
+        exit 0
+    fi
+
     rlLog "If this test fails, please contact mmalik or IRC #selinux"
     rlLog "This test should fail if tested bugs are NOT fixed yet"
     rlPhaseStartSetup

diff --git a/selinux-policy/systemd-homed/runtest.sh b/selinux-policy/systemd-homed/runtest.sh
index 7c0a45f..975bf39 100755
--- a/selinux-policy/systemd-homed/runtest.sh
+++ b/selinux-policy/systemd-homed/runtest.sh
@@ -110,6 +110,12 @@ expect -f  - <<<'
 }
 
 rlJournalStart
+    if rlIsRHEL '<9' ; then
+        rlLog "Not applicable to this OS version."
+        rlJournalEnd
+        exit 0
+    fi
+
     rlPhaseStartSetup
         rlRun "rlImport 'selinux-policy/common'"
         rlSESatisfyRequires

diff --git a/selinux-policy/tlp-and-similar/runtest.sh b/selinux-policy/tlp-and-similar/runtest.sh
index 55a0f5f..6e11025 100755
--- a/selinux-policy/tlp-and-similar/runtest.sh
+++ b/selinux-policy/tlp-and-similar/runtest.sh
@@ -40,6 +40,12 @@ PROCESS_NAME="tlp"
 PROCESS_CONTEXT="tlp_t"
 
 rlJournalStart
+    if ! rlIsRHEL 7 8 && ! rlIsFedora ; then
+        rlLog "Not applicable to this OS version."
+        rlJournalEnd
+        exit 0
+    fi
+
     rlPhaseStartSetup
         rlRun "rlImport 'selinux-policy/common'"
         rlSESatisfyRequires

                 reply	other threads:[~2026-09-11 13:19 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913274082.1.12117222352126355152.tests-selinux-64ddb60efd30@fedoraproject.org \
    --to=mmalik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox